set -g prefix C-y
unbind-key C-y
bind-key C-y send-prefix

set -g default-terminal "screen-256color"

# If you SSH into a host in a tmux window, you'll notice the window
# title of your terminal emulator remains to be user@localhost 
# rather than user@server. To allow the title bar to adapt to 
# whatever host you connect to, set the following: 
set -g set-titles on
set -g set-titles-string "#T"

# mouse scrolling
set -g mouse on

#" sane scrolling:
bind -n WheelUpPane if-shell -F -t = "#{mouse_any_flag}" "send-keys -M" "if -Ft= '#{pane_in_mode}' 'send-keys -M' 'copy-mode -e; send-keys -M'"

# Start windows and panes at 1, not 0
set -g base-index 1
set -g pane-base-index 1

set-option -g status-position top

set-option -g repeat-time 0

# Removes ESC delay
set -sg escape-time 0# Start windows and panes at 1, not 0

# set-option -g allow-rename off

set -g status-right '"#H" %Y-%m-%d %H:%M'

# Source https://github.com/tmux-plugins/tpm#installing-plugins
# List of plugins
set -g @plugin 'tmux-plugins/tpm'

# https://github.com/tmux-plugins/tmux-sensible
set -g @plugin 'tmux-plugins/tmux-sensible'

# https://github.com/tmux-plugins/tmux-pain-control
set -g @plugin 'tmux-plugins/tmux-pain-control'

# https://github.com/tmux-plugins/tmux-copycat
set -g @plugin 'tmux-plugins/tmux-copycat'

# https://github.com/tmux-plugins/tmux-yank
set -g @plugin 'tmux-plugins/tmux-yank'

# https://github.com/tmux-plugins/tmux-open
set -g @plugin 'tmux-plugins/tmux-open'

# https://github.com/tmux-plugins/tmux-battery
set -g @plugin 'tmux-plugins/tmux-battery'

# https://github.com/tmux-plugins/tmux-cpu
set -g @plugin 'tmux-plugins/tmux-cpu'

# https://github.com/caiogondim/maglev
set -g @tpm_plugins 'caiogondim/maglev'

# https://github.com/tmux-plugins/tmux-urlview
set -g @plugin 'tmux-plugins/tmux-urlview'

# https://github.com/tmux-plugins/tmux-logging
set -g @plugin 'tmux-plugins/tmux-logging'

# https://github.com/tmux-plugins/tmux-prefix-highlight
set -g @plugin 'tmux-plugins/tmux-prefix-highlight'

# https://github.com/seebi/tmux-colors-solarized
set -g @plugin 'seebi/tmux-colors-solarized'
set -g @colors-solarized 'light'

# Initialize TMUX plugin manager (keep this line at the very bottom of tmux.conf)
run '~/.tmux/plugins/tpm/tpm'
